Skip to content

Update a business on a loan

Request

Update the details of a business associated with a loan. Only the fields provided in the request body are changed.

Security
ApiKeyAuth
Path
loanIdstringrequired
idstringrequired
Headers
Idempotency-Keystring, <= 255 characters

Optional opaque key (e.g. a UUID) to make this write safely retryable. A replay with the same key returns the original response instead of repeating the side effect.

Bodyapplication/jsonrequired
namestring, non-empty
einstring
dbastring
entityTypestring
Enum:"C-Corp""S-Corp""General Partnership""Limited Liability Company""Limited Liability Partnership""Sole Proprietorship""Trust"
statestring
naicsstring, <= 6 characters
curl -i -X PATCH \
  'https://api.pioneerft.com/api/public/v1/loans/{loanId}/businesses/{id}' \
  -H 'Authorization: Bearer <YOUR_API Key_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Idempotency-Key: string' \
  -d '{
    "name": "string",
    "ein": "string",
    "dba": "string",
    "entityType": "C-Corp",
    "state": "string",
    "naics": "string"
  }'

Responses

Business updated

Bodyapplication/json
dataobject(PublicBusiness)
Response
{ "data": { "id": "string", "name": "string", "dba": "string", "entityType": "string", "einLast4": "string", "state": "string", "naics": "string", "role": "string" } }